package com.ruoyi.syzy.dto;

public class MingxueRequest {

    Integer pageNum;
    
    Integer pageSize;

    // 填写的分数
    Integer score;
    
    // 排名
    Integer batch;

    // 本科批次/专科批次
    String op;

    // 科目：物理
    String mode;

    // 地域
    String location;

    // 院校类型
    String type;

    // 专业类别
    String marjorRoot;

    // 一流学校
    Boolean ylxx;
    
    // 一流学科
    Boolean ylxk;
    
    // 研究生学院
    Boolean yjsy;
    
    // 独立学院
    Boolean dlxy;
    
    // 民办高校
    Boolean mbgx;

    @Override
    public String toString() {
        return "MingxueRequest [batch=" + batch + ", dlxy=" + dlxy + ", pageNum=" + pageNum + ", location=" + location
                + ", marjorRoot=" + marjorRoot + ", mbgx=" + mbgx + ", mode=" + mode + ", op=" + op + ", pageSize=" + pageSize
                + ", score=" + score + ", type=" + type + ", yjsy=" + yjsy + ", ylxk=" + ylxk + ", ylxx=" + ylxx + "]";
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Boolean getYlxx() {
        return ylxx;
    }

    public void setYlxx(Boolean ylxx) {
        this.ylxx = ylxx;
    }

    public Boolean getYlxk() {
        return ylxk;
    }

    public void setYlxk(Boolean ylxk) {
        this.ylxk = ylxk;
    }

    public Boolean getYjsy() {
        return yjsy;
    }

    public void setYjsy(Boolean yjsy) {
        this.yjsy = yjsy;
    }

    public Boolean getDlxy() {
        return dlxy;
    }

    public void setDlxy(Boolean dlxy) {
        this.dlxy = dlxy;
    }

    public Boolean getMbgx() {
        return mbgx;
    }

    public void setMbgx(Boolean mbgx) {
        this.mbgx = mbgx;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    public Integer getBatch() {
        return batch;
    }

    public void setBatch(Integer batch) {
        this.batch = batch;
    }

    public String getOp() {
        return op;
    }

    public void setOp(String op) {
        this.op = op;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getMarjorRoot() {
        return marjorRoot;
    }

    public void setMarjorRoot(String marjorRoot) {
        this.marjorRoot = marjorRoot;
    }

    public Boolean isYlxx() {
        return ylxx;
    }

    public void setYlxx(boolean ylxx) {
        this.ylxx = ylxx;
    }

    public Boolean isYlxk() {
        return ylxk;
    }

    public void setYlxk(boolean ylxk) {
        this.ylxk = ylxk;
    }

    public Boolean isYjsy() {
        return yjsy;
    }

    public void setYjsy(boolean yjsy) {
        this.yjsy = yjsy;
    }

    public Boolean isDlxy() {
        return dlxy;
    }

    public void setDlxy(boolean dlxy) {
        this.dlxy = dlxy;
    }

    public Boolean isMbgx() {
        return mbgx;
    }

    public void setMbgx(boolean mbgx) {
        this.mbgx = mbgx;
    }

}